Bug 144112 - Think about setting errno and returning -1 from library functions
Think about setting errno and returning -1 from library functions
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-04 12:18 EST by Jonathan Earl Brassow
Modified: 2009-04-16 16:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-04 13:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2005-01-04 12:18:09 EST
This is somewhat a preference, but magma does this, system calls do
it, and I think it is the main practice for libraries.

Need to think about this more and investigate what others are doing.
Comment 1 Jonathan Earl Brassow 2005-10-04 13:12:49 EDT
Don't need a bugzilla for this.

Note You need to log in before you can comment on or make changes to this bug.